using Nop.Core;
using System;

namespace Nop.Plugin.Widgets.EKomi.Domain
{
    /// <summary>
    /// Represents a shipping by weight record
    /// </summary>
    public partial class FeedbackRecord : BaseEntity
    {
        /// <summary>
        /// Gets or sets the date and time of order creation
        /// </summary>
        public virtual string Comment { get; set; }

        /// <summary>
        /// Gets or sets the date and time of order creation
        /// </summary>
        public virtual byte Rating { get; set; }

        /// <summary>
        /// Gets or sets the customer identifier
        /// </summary>
        public virtual int? OrderId { get; set; }
    }
}