﻿using System.Web.Mvc;
using System.Web.Routing;
using Nop.Web.Framework.Mvc.Routes;

namespace Nop.Plugin.Widgets.EKomi
{
    public partial class RouteProvider : IRouteProvider
    {
        public void RegisterRoutes(RouteCollection routes)
        {
            routes.MapRoute("Plugin.Widgets.EKomi.ConfigureWidget",
                 "Plugins/WidgetsEKomi/ConfigureWidget",
                 new { controller = "WidgetsEKomi", action = "ConfigureWidget" },
                 new[] { "Nop.Plugin.Widgets.EKomi.Controllers" }
            );

            routes.MapRoute("Plugin.Widgets.EKomi.Configure",
                 "Plugins/WidgetsEKomi/Configure",
                 new { controller = "WidgetsEKomi", action = "Configure" },
                 new[] { "Nop.Plugin.Widgets.EKomi.Controllers" }
            );

            routes.MapRoute("Plugin.Widgets.EKomi.PublicInfo",
                 "Plugins/WidgetsEKomi/PublicInfo",
                 new { controller = "WidgetsEKomi", action = "PublicInfo" },
                 new[] { "Nop.Plugin.Widgets.EKomi.Controllers" }
            );
        }
        public int Priority
        {
            get
            {
                return 0;
            }
        }
    }
}
